package com.iamberry.wechat.service.mapper;

import com.iamberry.wechat.core.entity.eo.Promotions;

import java.util.List;

/**
 *  优惠活动接口
 * @author Administrator
 * @Date 2019-10-21
 */
public interface PromotionsMapper {
    /**
     * 获取集合
     * @param  promotions
     * @return List
     */
    List<Promotions> getPromotionsList(Promotions promotions);
    /**
     * 获取集合
     * @return List
     */
    List<Promotions> getPromotionsListByTime();
    /**
     * 查询单条数据
     * @param  id
     * @return  promotions
     */
    Promotions getPromotionsById(Integer id);
}